cl.cromer.estructuras

## Interface Grafo.DFSVisitor<T>

Type Parameters:
  `T` - Generic object

Enclosing class:
  Grafo

    public static interface Grafo.DFSVisitor<T>

A spanning tree visitor callback interface

Version:
  $Revision$
Author:
  Scott.Stark@jboss.org

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visit(Grafo.Dirigido<T> g, Grafo.Vertex<T> v)` Called by the graph traversal methods when a vertex is first visited.
`void` `visit(Grafo.Dirigido<T> g, Grafo.Vertex<T> v, Grafo.Edge<T> e)` Used dfsSpanningTree to notify the visitor of each outgoing edge to an unvisited vertex.

### Method Detail

#### visit

    void visit(Grafo.Dirigido<T> g,
               Grafo.Vertex<T> v)

Called by the graph traversal methods when a vertex is first visited.

Parameters:
  `g` - - the graph
  `v` - - the vertex being visited.

#### visit

    void visit(Grafo.Dirigido<T> g,
               Grafo.Vertex<T> v,
               Grafo.Edge<T> e)

Used dfsSpanningTree to notify the visitor of each outgoing edge to an unvisited vertex.

Parameters:
  `g` - - the graph
  `v` - - the vertex being visited
  `e` - - the outgoing edge from v